Subject: 25.2; elisp-mode-tests may downcase too aggressively

From: Rob Browning <[email-masked]>
Date: Sun, 30 Jul 2017 11:21:40 -0500

[Refiling as a bug report from a list thread.]

It looks like (in 25.2, and perhaps master too) elisp-mode-tests.el
downcases the xref path (location) for comparison in
xref-elisp-test-run, but that seems to also affect the filesystem lookup
lower down (in xref--goto-location) such that a handful of tests fail if
the build path contains uppercase characters.  i.e. it tries to read the
downcased path, which of course (on ext4) doesn't exist.

In any case, I've hacked up a temporary fix by keeping the original as
"real-xref" and cloning that (and copying the location) to produce the
xref used by the modification and comparison.

Thanks
-- 
Rob Browning
rlb @defaultvalue.org and @debian.org
GPG as of 2011-07-10 E6A9 DA3C C9FD 1FF8 C676 D2C4 C0F0 39E9 ED1B 597A
GPG as of 2002-11-03 14DD 432F AE39 534D B592 F9A0 25C8 D377 8C7E 73A4